# Type alias AsObject

AsObject: {
accountAgeWitnessHash: Uint8Array | string;
date: number;
signature: Uint8Array | string;
signerPubKey: Uint8Array | string;
tradeAmount: number;
verificationMethod: VerificationMethod;
witnessOwnerPubKey: Uint8Array | string;
}

#### Type declaration

- ##### accountAgeWitnessHash: Uint8Array | string

- ##### date: number

- ##### signature: Uint8Array | string

- ##### signerPubKey: Uint8Array | string

- ##### tradeAmount: number

- ##### verificationMethod: VerificationMethod

- ##### witnessOwnerPubKey: Uint8Array | string

- Defined in src/protobuf/pb_pb.d.ts:3000

Generated using TypeDoc